2018-04-24 12:13 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004483Kali Linux[All Projects] General Bugpublic2018-01-17 19:50
Reportermalwar3hun73 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version 
Summary0004483: Kernel Panic when Upgrading to 4.14 (2017.3) on VirtualBox 5.2.4
DescriptionWhen upgrading kali to latest version on VirtualBox 5.2.4, I get a kernel panic on reboot (see screenshot below).

https://imgur.com/a/w7yRG

After upgrading, I have 3 kernels available:4.14.0-kali3, 4.8.0-kali1, 4.7.0-kali1. I can boot 4.8 and 4.7 reliably, the issue is only with 4.14.
Steps To ReproduceThis can be reliably reproduced by upgrading to kali3 on vbox 5.2.4.
Attached Files

-Relationships
+Relationships

-Notes

~0007820

malwar3hun73 (reporter)

Host: Windows 10 x64
Guest: Kali x86

~0007821

muts (administrator)

32 bit PAE

~0007823

rhertzog (administrator)

https://bugs.debian.org/886506 seems to be a similar report on the Debian side.

~0007826

rhertzog (administrator)

So the issue has nothing to do with the kernel, I could reproduce it with linux 4.13 form Kali 2017.3 (i386 install) just by updating to the libc6 2.26 and updating the initrd with "update-initramfs -k all -u". Then I would have the same problem.

I looked into the glibc bugs and found out this one:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=887169

Even though it speaks of games, it looks like init from the initrd is affected in the same way because I could get the system to boot when I used the suggested work-around by adding "GLIBC_TUNABLES=glibc.tune.hwcaps=-SSE4_2" to the kernel boot command line.

~0007827

rhertzog (administrator)

In the end, the new glibc broke busybox and since busybox's sh is used in the initrd, this broke the initrd and thus the boot process.

I uploaded busybox 1.27.2-2kali1 to kali-dev, it should fix this issue shortly. I dropped -mpreferred-stack-boundary=2 from the options passed to gcc since this is what is causing problems to glibc.

~0007828

rhertzog (administrator)

The new busybox is in kali-rolling.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-16 15:58 malwar3hun73 New Issue
2018-01-16 16:19 malwar3hun73 Note Added: 0007820
2018-01-16 16:19 muts Note Added: 0007821
2018-01-16 18:17 muts Assigned To => rhertzog
2018-01-16 18:17 muts Priority normal => high
2018-01-16 18:17 muts Severity crash => major
2018-01-16 18:17 muts Status new => confirmed
2018-01-16 22:57 rhertzog Note Added: 0007823
2018-01-17 09:15 rhertzog Note Added: 0007826
2018-01-17 11:46 rhertzog Note Added: 0007827
2018-01-17 19:50 rhertzog Status confirmed => resolved
2018-01-17 19:50 rhertzog Resolution open => fixed
2018-01-17 19:50 rhertzog Note Added: 0007828
+Issue History